diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable-imf.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable-imf.sh
new file mode 100755
index 0000000000000000000000000000000000000000..7e1bb1ac784ac1765a71e810db36dedc717e0a8d
--- /dev/null
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable-imf.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# art-description: Run simulation using ISF with the FullG4_LongLived simulator, reading events, writing HITS, using 2015 geometry and conditions
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+# art-include: master/Athena
+# art-type: grid
+# art-output: test.HITS.pool.root
+# art-output: truth.root
+
+Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4_LongLived' --postInclude 'default:PyJobTransforms/UseFrontier.py,G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py,SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/EVNT.04607198._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 10 --imf False
+
+echo  "art-result: $? simulation"
+
+ArtPackage=$1
+ArtJobName=$2
+# TODO This is a regression test I think. We would also need to compare these files to fixed references and add DCube tests
+art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"